(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "../utils"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const utils_1 = require("../utils");
    exports.default = (descriptor, scopeId) => {
        const script = descriptor.script;
        let scriptImport = `var script = {}`;
        if (script) {
            const src = script.src || descriptor.filename;
            const idQuery = `&id=${scopeId}`;
            const attrsQuery = (0, utils_1.attrsToQuery)(script.attrs, 'js');
            const srcQuery = script.src ? `&src` : ``;
            const query = `?san&type=script${idQuery}${srcQuery}${attrsQuery}`;
            const scriptRequest = JSON.stringify(src + query);
            scriptImport =
                `import script from ${scriptRequest}\n` +
                    `export * from ${scriptRequest}`; // support named exports
        }
        return scriptImport;
    };
});
