(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "../utils"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const utils_1 = require("../utils");
    exports.default = (descriptor, scopeId) => {
        const template = descriptor.template;
        let templateImport = `var template = '';`;
        if (template) {
            const src = template.src || descriptor.filename;
            const idQuery = `&id=${scopeId}`;
            const srcQuery = template.src ? `&src` : ``;
            const attrsQuery = (0, utils_1.attrsToQuery)(template.attrs, 'js', true);
            const query = `?san&type=template${idQuery}${srcQuery}${attrsQuery}`;
            const templateRequest = JSON.stringify(src + query);
            templateImport = `import template from ${templateRequest}`;
        }
        return templateImport;
    };
});
