(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "san-sfc-compiler", "../utils"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const san_sfc_compiler_1 = require("san-sfc-compiler");
    const utils_1 = require("../utils");
    exports.default = (code, request, options, query, scoped) => {
        const result = (0, san_sfc_compiler_1.compileTemplate)(Object.assign({ source: code, filename: query.filename, id: `data-s-${query.id}`, scoped, compileANode: query.compileANode }, options.templateCompileOptions));
        return {
            code: `export default ${JSON.stringify(result.code)};`,
            map: (0, utils_1.normalizeSourceMap)(result.map, request),
        };
    };
});
