import { SFCBlock, SFCDescriptor } from 'san-sfc-compiler';
export declare type Query = Partial<SFCBlock & {
    filename: string;
    san?: false;
    index?: number;
    id?: string;
    compileANode?: string | undefined;
}>;
export declare function attrsToQuery(attrs: SFCBlock['attrs'], langFallback?: string, forceLangFallback?: boolean): string;
export declare function parseSanPartRequest(id: string): Query;
export interface StartOfSourceMap {
    file?: string;
    sourceRoot?: string;
}
export interface RawSourceMap extends StartOfSourceMap {
    version: string;
    sources: string[];
    names: string[];
    sourcesContent?: string[];
    mappings: string;
}
export declare function normalizeSourceMap(map: RawSourceMap, request: string): any;
export declare function setDescriptor(id: string, entry: SFCDescriptor | null): void;
export declare function getDescriptor(id: string): SFCDescriptor | null;
